
* folder where SAS data sets (projected map, county names, 2000 population) are located;
libname z 'z:\';

goptions
reset=all
device=gif
xpixels=1280
ypixels=1040
ftext='Tahoma/bo'
htext=3
gunit=pct
gsfname=gif_out
;

* fill patterns for the map areas (gray-scale fills);
/*
pattern1 v=s c=grayff;
pattern2 v=s c=grayda;
pattern3 v=s c=grayaa;
pattern4 v=s c=gray68;
*/

* green fills;
pattern1 v=s c=cxffffcc;
pattern2 v=s c=cxc2e699;
pattern3 v=s c=cx78c679;
pattern4 v=s c=cx238443;

* m + number from 1 to 5 + n(no cross) or x(cross hatch) + angle;
/*
pattern1 v=m2n45 c=black;
pattern2 v=m2x45 c=black;
pattern3 v=m5n45 c=black;
pattern4 v=m5x45 c=black;
*/

* create instructions for legend location and appearance;
legend1
origin=(5,10) pct
mode=share
across=1
label=none
value=(j=r h=2)
shape=bar(3,4) pct;

* loaction of GIF output;
filename gif_out 'z:\pop2000.gif';

proc gmap
data=z.pop2000
map=z.nys;
id county;
choro population / levels=4 coutline=black legend=legend1 annotate=z.county_names_gif;
note ' NEW YORK STATE'  ls=.5 j=l  ' TOTAL POPULATION, 2000';
run;
quit;
